@echo off
echo Compaq Support PAQ for Windows 2000 (日本語版)
echo ------------------------------------------

set _cpq_reboot_reqd=

echo Compaq iLOアドバンスド マネジメント コントローラ ドライバをインストールしています...
CP001376.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq アドバンスド マネジメント コントローラ ドライバをインストールしています...
CP001413.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq システム マネジメント コントローラ ドライバをインストールしています...
CP001414.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq インテグレーテッド マネジメント コントローラ ドライバをインストールしています...
CP001415.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq アレイ ドライバをインストールしています...
cp001452.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq Array-2 ドライバをインストールしています...
cp001622.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq 32ビット SCSI ドライバをインストールしています...
cp001590.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq Smart Array 5x アダプタ サポートをインストールしています...
cp001416.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq 64-Bit/66-Mhz Wide Ultra3 コントローラ ドライバをインストールしています...
cp001612.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq ファイバチャネル サポートをインストールしています...
cp001416.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq CMD 0649 Ultra DMA IDE コントローラ ドライバ for Windows 2000をインストールしています...
CP001563.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq 内蔵 Ultra ATA-100 Dual Channel ドライバをインストールしています...
cp001459.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Proliant ストレージ システム ドライバをインストールしています...
cp001623.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo ドライブ アレイ イベント通知ドライバをインストールしています...
cp001591.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo リモート モニタ サービスをインストールしています...
cp001592.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq PCI Hot Plug サポートをインストールしています...
cp001597.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo インテグレーテッド マネジメント ディスプレイ ユーティリティをインストールしています...
cp001593.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo インテグレーテッド マネジメント ログ ビューアをインストールしています...
cp001594.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo パワーサプライ ビューアをインストールしています...
cp001595.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo パワーダウン マネージャをインストールしています...
cp001596.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo 拡張 IMD サービスをインストールしています...
cp001570.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo アレイ コンフィギュレーション ユーティリティをインストールしています...
cp001446.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo RIB ドライバをインストールしています...
cp001571.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq 内蔵 Lights-Out マネジメント インタフェース ドライバ for Windows 2000 をインストールしています...
cp001457.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq ATI RAGE IIC ビデオ コントローラ ドライバをインストールしています...cp001412.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq アレイ リダンダンシ ソフトウェアをインストールしています...
CP001572.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq 内蔵 ATA RAID 管理ユーティリティ for Windowsをインストールしています...
CP001394.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo TLAN-based 10/100 NIC ドライバをインストールしています...
cp001624.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Intel-based 10/100 NIC ドライバをインストールしています...
cp001453.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Intel-based Gigabit NIC ドライバをインストールしています...
cp001454.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq NC67xx/NC77xx Gigabit Ethernet NIC ドライバ for Windows 2000をインストールしています...
cp001402.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Installing NIC チーミング サポートをインストールしています...
cp001422.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq 基本エージェントをインストールしています...
cp001418.exe /SILENT
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq サーバ エージェントをインストールしています...
cp001419.exe /SILENT
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq ストレージ エージェントをインストールしています...
cp001420.exe /SILENT
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq NIC エージェントをインストールしています...
cp001421.exe /SILENT
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Survey ユーティリティをインストールしています...
cp001392.exe /SILENT
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes

echo Compaq バージョン コントロール エージェント for Windowsをインストールしています...
cp000736.exe /SILENT
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes


if "%_cpq_reboot_reqd%"=="yes" echo 1つまたはそれ以上のコンポーネントでは再起動が必要です。
echo インストレーションが完了しました。
